* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body {
    font-family: sans-serif;
    background-color: #e9e9e9;
}



/* --------------Registration Section---------- */



.account {
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
}

.account .form-box {
    border: 2px solid #01baef;
    border-radius: 20px;
    height: 23rem;
    width: 30rem;
    position: relative;
    overflow: hidden;
}

.form-box .button-box {
    margin: 6% 26.41% 0;
    position: relative;
    border-radius: 20px;
}

.button-box #login-button {
    background-color: #01baef;
}

.button-box .toggle-button {
    padding: 10px 30px;
    cursor: pointer;
    background: transparent;
    border: none;
    outline: none;
    position: relative;
    border-radius: 20px;
    font-size: 16px;
    text-align: center;
}

.form-box .input-group {
    position: absolute;
    width: 100%;
    padding: 6%;
}

.input-group input {
    border: none;
    border-bottom: 1px solid black;
    position: relative;
    outline: none;
    background: transparent;
    width: 100%;
    margin: 6% 0;
    font-size: 16px;
    padding-bottom: 3%;
}

.input-group .submit-btn {
    width: 80%;
    padding: 10px 30px;
    cursor: pointer;
    display: block;
    margin: 6% auto;
    border: none;
    outline: none;
    background-color: #01baef;
    border-radius: 20px;
    font-size: 16px;
}

#signup {
    left: 480px;
}


.logout-button-container{
    display: flex;
    justify-content: end;
}

.logout-button {
    border: 1px solid #20bf55;
    background: transparent;
    font-size: 16px;
    font-weight: bold;
    padding: 10px 20px;
    margin: 20px 20px;
    border-radius: 10px;
    cursor: pointer;
    text-align: end;
}

.logout-button:hover {
    background-color: #20bf55;
    transition: 200ms;
}



/* --------------Home Section---------- */



.home-section {
    background-color: #e9e9e9;
    color: #000000;
}

.home-section .project-buttons {
    display: flex;
    justify-content: center;
}

.project-buttons button {
    border: 2px solid #20bf55;
    background: transparent;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 20px;
    margin: 50px 5px;
    border-radius: 10px;
    cursor: pointer;
}

.project-buttons button:hover {
    background-color: #20bf55;
    transition: 200ms;
}

.project-buttons .active {
    background-color: #20bf55;
}



/* ------Create Project Section----- */



.home-section .form {
    /* display: flex;
    justify-content: center;
    align-items: center; */
}

.form label {
    margin-right: 3px;
    margin-left: 30px;
    font-weight: bold;
    font-size: 16px;
}

.labels-section {
    display: flex;
    justify-content: center;
    align-items: center;
}

.form input {
    border: 2px solid #01baef;
    outline: none;
    font-size: 16px;
    padding: 5px 3px;
    background: transparent;
    border-radius: 5px;
}

.project-name::placeholder {
    color: #000000;
}

.form select {
    border: none;
    outline: none;
    background-color: #01baef;
    padding: 7px 10px;
    margin-left: 7px;
    border-radius: 3px;
    font-size: 16px;
}

select option {
    background-color: #20bf55;
    border: none;
    outline: none;
}

.home-section .table {
    /* display: flex; */
    /* justify-content: center; */
    margin: 50px 20px;
}

.styled-table {
    border-collapse: collapse;
    margin: 25px 0px;
    font-size: 0.9em;
    font-family: sans-serif;
    width: 100%;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    text-align: center;
    border: 3px solid #01baef;
}

.styled-table thead tr {
    background-color: #01baef;
    font-weight: bold;
    text-align: left;
    font-size: 14px;
}

.styled-table tbody tr td:first-child {
    font-weight: bold;
    font-size: 14px;
}

.styled-table th,
.styled-table td {
    padding: 12px 15px;
    text-align: center;
}

.styled-table tbody tr {
    border-bottom: 1px solid #e9e9e9;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: white;
}

.styled-table tbody tr:last-of-type {
    /* border-bottom: 3px solid #01baef; */
}

.table-input {
    background: transparent;
    border: 1px solid #757575;
    outline: none;
    border-radius: 5px;
    width: 100px;
    text-align: center;
}

.add-data-button {
    background: transparent;
    border: 2px solid #20bf55;
    outline: none;
    font-size: 14px;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 10px;
    font-weight: bold;
}

.add-data-button:hover {
    background-color: #20bf55;
    transition: 200ms;
}

.home-section .create-submit-section {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.create-submit-section button {
    background: none;
    border: 2px solid #20bf55;
    outline: none;
    font-size: 14px;
    font-weight: bold;
    padding: 10px 20px;
    margin: 0 5px;
    border-radius: 10px;
    cursor: pointer;
    width: 120px;
}

.create-submit-section button:hover {
    background-color: #20bf55;
    transition: 200ms;
}



/* -----------Load Projects Section---------- */



#projectList {
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
    display: none;
}

#projectList select {
    background: #01baef;
    border: none;
    outline: none;
    padding: 10px 15px;
    font-size: 16px;
    font-weight: bold;
    border-radius: 5px;
}

.home-section #load-project-container {
    display: block;
}

.load-submit-section {
    display: flex;
    justify-content: center;
    padding-bottom: 50px;
}

.load-submit-section button {
    background: none;
    border: 2px solid #20bf55;
    outline: none;
    font-size: 14px;
    font-weight: bold;
    padding: 10px 20px;
    margin: 0 5px;
    border-radius: 10px;
    cursor: pointer;
    width: 150px;
}

.load-submit-section button:hover {
    background-color: #20bf55;
    transition: 200ms;
}






/* ------------Result Page ----------- */

.result-heading {
    color: green;
    text-align: center;
    margin-top: 10px;
}

#result-table {
    margin: 0 20px;
}

.result-table-output {
    border: 1px solid black;
    border-radius: 5px;
    width: 100px;
    height: 20px;
    text-align: center;
}


/* Graph Container */

.chart-container {
    margin: 0 10px;
}

.chartarea {
    /* border: 2px solid blue; */
    height: 400px;
    width: 400px;
}

#chartContainer {
    /* border: 2px solid green; */
    width: 80%;
    margin: auto;
}

canvas {
    /* border: 2px solid blue; */
    height: 400px;
    width: 400px;
    margin-top: 20px;
}

.result-page-header{
    display: flex;
    justify-content: space-between;
}

.back-button{
    border: 1px solid #20bf55;
    background: transparent;
    font-size: 16px;
    font-weight: bold;
    padding: 10px 20px;
    margin: 20px 20px;
    border-radius: 10px;
    cursor: pointer;
}

.back-button:hover{
    background-color: #20bf55;
    transition: 200ms;
}

/* -------------Media Query----------- */





/* ---------For Small (Mobile) Devices-------- */



@media screen and (max-width: 480px) {


    /* --------------Registration Section---------- */


    .account .form-box {
        margin: 0 30px;
        height: 19rem;
    }

    .form-box .button-box {
        margin-left: 0;
        margin-right: 0;
        text-align: center;
    }


    /* --------------Home Section---------- */


    /* ---------Create Project Section------- */

    .home-section #create-project-container {
        margin: 0 10px;
    }

    .home-section .form {
        display: block;
    }

    .labels-section {
        display: block;
        width: 100%;
        text-align: center;
        margin: 8px 0;
    }

    .form input {
        width: 100%;
        margin: 10px 0;
    }

    .form select {
        width: 100%;
        margin-left: 0px;
        margin: 10px 0;
    }

    .table {
        display: block;
        overflow: auto;
    }

    .styled-table{
        display: block;
        overflow: auto;
    }

    .add-data-button{
        margin-bottom: 20px;
    }

    /* -----------Load Projects Section---------- */

    .home-section #load-project-container {
        margin: 0 10px;
    }


    .load-submit-section button {
        padding: 8px;
    }


    /* --------Result Table------- */

    #result-table {
        overflow: auto;
    }


    /* ----------Result Graph-------- */


    .chart-container {
        margin: 0 10px;
        overflow: auto;
    }
}



/* ---------For IPads and Tabs--------- */



@media screen and (min-width: 480px) and (max-width: 768px) {


    /* --------------Registration Section---------- */


    .account .form-box {
        height: 22rem;
    }


    /* --------------Home Section---------- */


    /* ---------Create Project Section------- */

    .home-section #create-project-container {
        margin: 0 10px;
    }

    .home-section .form {
        display: block;
    }

    .labels-section {
        display: block;
        width: 100%;
        text-align: center;
        margin: 8px 0;
    }

    .form input {
        width: 100%;
        margin: 10px 0;
    }

    .form select {
        width: 100%;
        margin-left: 0px;
        margin: 10px 0;
    }

    .home-section .table {
        display: block;
        overflow: auto;
    }

    .styled-table{
        display: block;
        overflow: auto;
    }

    .add-data-button{
        margin-bottom: 20px;
    }

    /* -----------Load Projects Section---------- */

    .home-section #load-project-container {
        margin: 0 10px;
    }

    .load-submit-section button {
        padding: 8px;
    }

    /* --------Result Table------- */

    #result-table {
        overflow: auto;
    }


    /* ----------Result Graph-------- */


    .chart-container {
        margin: 0 10px;
        overflow: auto;
    }
}



/* ------------For Small Screens and Laptops--------- */



@media screen and (min-width: 768px) and (max-width: 1024px) {

    /* --------------Home Section---------- */


    /* ---------Create Project Section------- */


    .home-section #create-project-container {
        margin: 0 10px;
    }

    .labels-section {
        margin: 8px 10px;
    }

    .form input {
        display: flex;
        width: 100%;
    }

    .form select {
        width: 100%;
        margin-left: 0px;
    }

    .home-section .table {
        width: 100%;
        display: block;
        overflow: auto;
    }

    .styled-table{
        display: block;
        overflow: auto;
    }

    .add-data-button{
        margin-bottom: 20px;
    }

    .form {
        width: 100%;
        display: block;
    }

    /* -----------Load Projects Section---------- */

    .home-section #load-project-container {
        margin: 0 10px;
    }

    .load-submit-section button {
        padding: 8px;
    }


    /* --------Result Table------- */

    #result-table {
        overflow: auto;
    }


    /* ----------Result Graph-------- */


    .chart-container {
        margin: 0 10px;
        overflow: auto;
    }
}



/* -------------For desktops and Large Screens-------- */



@media screen and (min-width: 1024px) and (max-width: 1280px) {

    /* --------------Home Section---------- */


    /* ---------Create Project Section------- */

    .home-section #create-project-container {
        margin: 0 10px;
    }

    .home-section .table {
        display: block;
        overflow: auto;
    }

    /* -----------Load Projects Section---------- */

    .home-section #load-project-container {
        margin: 0 10px;
    }



}